@use '/src/mainColor' as *;

.light-mode {
  .btn {
    --btn-back: hsl(var(--main-hue), var(--main-satur), 85%);
    --btn-color: hsl(var(--main-hue), var(--main-satur), 20%);
  }
}
.dark-mode {
  .btn {
    --btn-back: hsl(var(--main-hue), var(--main-satur), 25%);
    --btn-color: hsl(var(--main-hue), var(--main-satur), 80%);
  }
}

.btn {
  cursor: pointer;
  user-select: none;
  padding: 0.25em 0.5em;
  padding-left: 0.75em;
  border-radius: .5em;
  background-color: var(--btn-back);
  color: var(--btn-color);
  transition: filter 0.2s;

  &:hover {
    filter: brightness(1.05);
  }
  &:active {
    filter: brightness(1.1);
  }
  &:disabled {
    cursor: not-allowed;
    filter: grayscale(.8) opacity(.5);
  }
  &.danger {
    --main-hue: 0;
  }
}

